UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMTopic Class Reference

## Public Member Functions
| LBMTopic (LBMContext lbmctx, String symbol) throws LBMException
| LBMTopic (LBMContext lbmctx, String symbol, LBMReceiverAttributes lbmrattr) throws LBMException
| LBMTopic (LBMContext lbmctx, String symbol, LBMSourceAttributes lbmsattr) throws LBMException
synchronized boolean | setReceiver ()

## Detailed Description

LBM Topic class. It is recommended that topic objects be instantiated from the LBMContext factory methods `allocTopic` and `lookupTopic` (for sources and receivers respectively).

Warning: It is not safe to instantiate this object from a context thread callback.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMTopic.LBMTopic | ( | LBMContext | lbmctx,
|  | String | symbol
| ) |  | throws LBMException

Turn a Topic string into an LBMTopic object usable by receivers. (Note: This constructor cannot be used to initialize a source topic.) It is recommended that topic objects be instantiated from the LBMContext factory methods `allocTopic` and `lookupTopic` (for sources and receivers respectively).

Warning: It is not safe to call this constructor from a context thread callback.

Parameters

  lbmctx | LBMContext object for the topic
  symbol | Topic string (Topic strings should be limited in length to 246 characters, not including the final null).

Exceptions

  LBMException | if any topic lookup error occurs.

See also
  LBMReceiver

com.latencybusters.lbm.LBMTopic.LBMTopic | ( | LBMContext | lbmctx,
|  | String | symbol,
|  | LBMReceiverAttributes | lbmrattr
| ) |  | throws LBMException

Turn a Topic string into an LBMTopic object usable by receivers. It is recommended that topic objects be instantiated from the LBMContext factory methods `allocTopic` and `lookupTopic` (for sources and receivers respectively).

Warning: It is not safe to call this constructor from a context thread callback.

Parameters

  lbmctx | LBMContext object for the topic
  symbol | Topic string (Topic strings should be limited in length to 246 characters, not including the final null).
  lbmrattr | LBMReceiverAttributes object used to initialize the topic object.

Exceptions

  LBMException | if any topic lookup error occurs.

See also
  LBMReceiver

com.latencybusters.lbm.LBMTopic.LBMTopic | ( | LBMContext | lbmctx,
|  | String | symbol,
|  | LBMSourceAttributes | lbmsattr
| ) |  | throws LBMException

Turn a Topic string into an LBMTopic object usable by sources. It is recommended that topic objects be instantiated from the LBMContext factory methods `allocTopic` and `lookupTopic` (for sources and receivers respectively).

Warning: It is not safe to call this constructor from a context thread callback.

Parameters

  lbmctx | LBMContext object for the topic
  symbol | Topic string (Topic strings should be limited in length to 246 characters, not including the final null).
  lbmsattr | LBMSourceAttributes object used to initialize the topic object.

Exceptions

  LBMException | if any topic allocation error occurs.

See also
  LBMSource

The documentation for this class was generated from the following file:

- LBMTopic.java